## e-cal-component-alarm-instance e-cal-component-alarm-instance — An ECalComponentAlarmInstance structure |

## Functions

ECalComponentAlarmInstance * | e_cal_component_alarm_instance_new ()
ECalComponentAlarmInstance * | e_cal_component_alarm_instance_copy ()
void | e_cal_component_alarm_instance_free ()
const gchar * | e_cal_component_alarm_instance_get_uid ()
void | e_cal_component_alarm_instance_set_uid ()
const gchar * | e_cal_component_alarm_instance_get_rid ()
void | e_cal_component_alarm_instance_set_rid ()
struct _ECalComponent * | e_cal_component_alarm_instance_get_component ()
void | e_cal_component_alarm_instance_set_component ()
time_t | e_cal_component_alarm_instance_get_time ()
void | e_cal_component_alarm_instance_set_time ()
time_t | e_cal_component_alarm_instance_get_occur_start ()
void | e_cal_component_alarm_instance_set_occur_start ()
time_t | e_cal_component_alarm_instance_get_occur_end ()
void | e_cal_component_alarm_instance_set_occur_end ()

## Types and Values

| ECalComponentAlarmInstance

## Object Hierarchy

        GBoxed
        ╰── ECalComponentAlarmInstance

## Includes

    #include <libecal/libecal.h>

## Description

Contains functions to work with the ECalComponentAlarmInstance structure.

## Functions

### e_cal_component_alarm_instance_new ()

    ECalComponentAlarmInstance *
    e_cal_component_alarm_instance_new (const gchar *uid,
                                        time_t instance_time,
                                        time_t occur_start,
                                        time_t occur_end);

Creates a new ECalComponentAlarmInstance structure, filled with the given values. Free the instance with `e_cal_component_alarm_instance_free()`, when no longer needed.

#### Parameters

uid | UID of the alarm. | [not nullable]
instance_time | instance time, i.e. "5 minutes before the appointment" |
occur_start | actual event occurrence start to which this instance corresponds |
occur_end | actual event occurrence end to which this instance corresponds |

#### Returns

a newly allocated ECalComponentAlarmInstance.

[transfer full]

Since: 3.34

### e_cal_component_alarm_instance_copy ()

    ECalComponentAlarmInstance *
    e_cal_component_alarm_instance_copy (const ECalComponentAlarmInstance *instance);

Returns a newly allocated copy of `instance` , which should be freed with `e_cal_component_alarm_instance_free()`, when no longer needed.

#### Parameters

instance | an ECalComponentAlarmInstance. | [not nullable]

#### Returns

a newly allocated copy of `instance` .

[transfer full]

Since: 3.34

### e_cal_component_alarm_instance_free ()

    void
    e_cal_component_alarm_instance_free (gpointer instance);

Free `instance` , previously created by `e_cal_component_alarm_instance_new()` or `e_cal_component_alarm_instance_copy()`. The function does nothing, if `instance` is `NULL`.

[skip]

#### Parameters

instance | an ECalComponentAlarmInstance to free. | [type ECalComponentAlarmInstance][nullable]

Since: 3.34

### e_cal_component_alarm_instance_get_uid ()

    const gchar *
    e_cal_component_alarm_instance_get_uid
                                   (const ECalComponentAlarmInstance *instance);

#### Parameters

instance | an ECalComponentAlarmInstance |

#### Returns

alarm UID, to which this `instance` corresponds

Since: 3.34

### e_cal_component_alarm_instance_set_uid ()

    void
    e_cal_component_alarm_instance_set_uid
                                   (ECalComponentAlarmInstance *instance,
                                    const gchar *uid);

Set the alarm UID.

#### Parameters

instance | an ECalComponentAlarmInstance |
uid | alarm UID to set. | [not nullable]

Since: 3.34

### e_cal_component_alarm_instance_get_rid ()

    const gchar *
    e_cal_component_alarm_instance_get_rid
                                   (const ECalComponentAlarmInstance *instance);

#### Parameters

instance | an ECalComponentAlarmInstance |

#### Returns

the Recurrence ID of the component this `instance` was generated for.

[nullable]

Since: 3.40

### e_cal_component_alarm_instance_set_rid ()

    void
    e_cal_component_alarm_instance_set_rid
                                   (ECalComponentAlarmInstance *instance,
                                    const gchar *rid);

Set the Recurrence ID of the component this `instance` was generated for.

#### Parameters

instance | an ECalComponentAlarmInstance |
rid | recurrence UID to set, or `NULL`. | [nullable]

Since: 3.40

### e_cal_component_alarm_instance_get_component ()

    struct _ECalComponent *
    e_cal_component_alarm_instance_get_component
                                   (const ECalComponentAlarmInstance *instance);

#### Parameters

instance | an ECalComponentAlarmInstance |

#### Returns

component associated with the instance, or `NULL`.

[nullable][transfer none]

Since: 3.48

### e_cal_component_alarm_instance_set_component ()

    void
    e_cal_component_alarm_instance_set_component
                                   (ECalComponentAlarmInstance *instance,
                                    struct _ECalComponent *component);

Sets `component` as the component associated with the `instance` . It can be `NULL` to unset it.

#### Parameters

instance | an ECalComponentAlarmInstance |
component | an ECalComponent or `NULL`. | [nullable]

Since: 3.48

### e_cal_component_alarm_instance_get_time ()

    time_t
    e_cal_component_alarm_instance_get_time
                                   (const ECalComponentAlarmInstance *instance);

#### Parameters

instance | an ECalComponentAlarmInstance |

#### Returns

alarm instance time, i.e. "5 minutes before the appointment"

Since: 3.34

### e_cal_component_alarm_instance_set_time ()

    void
    e_cal_component_alarm_instance_set_time
                                   (ECalComponentAlarmInstance *instance,
                                    time_t instance_time);

Set the instance time, i.e. "5 minutes before the appointment".

#### Parameters

instance | an ECalComponentAlarmInstance |
instance_time | instance time to set |

Since: 3.34

### e_cal_component_alarm_instance_get_occur_start ()

    time_t
    e_cal_component_alarm_instance_get_occur_start
                                   (const ECalComponentAlarmInstance *instance);

#### Parameters

instance | an ECalComponentAlarmInstance |

#### Returns

actual event occurrence start to which this `instance` corresponds

Since: 3.34

### e_cal_component_alarm_instance_set_occur_start ()

    void
    e_cal_component_alarm_instance_set_occur_start
                                   (ECalComponentAlarmInstance *instance,
                                    time_t occur_start);

Set the actual event occurrence start to which this `instance` corresponds.

#### Parameters

instance | an ECalComponentAlarmInstance |
occur_start | event occurence start to set |

Since: 3.34

### e_cal_component_alarm_instance_get_occur_end ()

    time_t
    e_cal_component_alarm_instance_get_occur_end
                                   (const ECalComponentAlarmInstance *instance);

#### Parameters

instance | an ECalComponentAlarmInstance |

#### Returns

actual event occurrence end to which this `instance` corresponds

Since: 3.34

### e_cal_component_alarm_instance_set_occur_end ()

    void
    e_cal_component_alarm_instance_set_occur_end
                                   (ECalComponentAlarmInstance *instance,
                                    time_t occur_end);

Set the actual event occurrence end to which this `instance` corresponds.

#### Parameters

instance | an ECalComponentAlarmInstance |
occur_end | event occurence end to set |

Since: 3.34

## Types and Values

### ECalComponentAlarmInstance

    typedef struct _ECalComponentAlarmInstance ECalComponentAlarmInstance;

Opaque structure, which represents an alarm occurrence, i.e. a instance instance. Use the functions below to work with it.